Osgeo4W64 QGISserver install does not run without installing QGIS desktop
Status: Closed

Priority: Normal

Assignee:

Category: Windows Package

Affected QGIS version:2.18.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 24284

Description

Clean installation of QGISserver (2.18.x) in OSGeo4W64 combined with the provided httpd.conf does not work UNLESS you also install

QGISDesktop.

On a WindowsServer here (with Apache installed) I had QGIS-desktop installed. And after install of QGIS-server there I had it running

withing minutes!! 

After showing off to people they wanted me to install it on an internal test server (mirror of the other one).

BUT after a fresh QGISServer install on OSGeo4W64 there and confirming ALL other (apache configs etc etc) were the same,

QGISserver(!) still had problems:

[Thu Mar 23 13:44:00.106380 2017] [mpm_winnt:notice] [pid 5812:tid 224] AH00354: Child: Starting 500 worker threads.

[Thu Mar 23 13:44:22.730526 2017] [fcgid:warn] [pid 5812:tid 4404] (OS 109)The pipe has been ended.  : [client

fe80::a9e5:eb17:87ab:6393:57808] mod_fcgid: get overlap result error

[Thu Mar 23 13:44:22.730526 2017] [core:error] [pid 5812:tid 4404] [client fe80::a9e5:eb17:87ab:6393:57808] End of script output before

headers: qgis_mapserv.fcgi.exe

Final test was to fix the only difference I could find: installation of QGIS Desktop on that machine too. To be clear: there was not QGIS

installed there before.

And then everything works!

I could not find out what, but apparently in the default packages there is something missing which is installed with QGIS Desktop. I do not

know what no further information in my logs.

History

#1 - 2017-03-23 07:04 AM - Richard Duivenvoorde

- Status changed from Open to Closed

Note: after removing QGIS-desktop from the machine, QGIS-server still works...

Note2: with 'not working' I mean: calling http://host/qgis/qgis_mapserv.fcgi.exe?service=WMS does give a 500 (instead of the error "Please check the

value of the REQUEST parameter" which you get when you do not give a request param)

#2 - 2017-03-23 07:05 AM - Richard Duivenvoorde

- Status changed from Closed to Reopened
#3 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-05-01 02:46 AM - Giovanni Manghi

- Category set to Windows Package

- Description updated

#5 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Reopened to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
